import remedapy as R


class TestIsString:
    def test_data_first(self):
        # R.is_string(data);
        assert R.is_list([])
        assert not R.is_list(range(10))
        assert not R.is_list(0)
        assert not R.is_list(x for x in range(10))

    def test_data_last(self):
        # R.is_string()(data);
        assert R.is_list()([1, 2])
        assert not R.is_list()(0)
